Subject: Re: AW: your mail

From: "Tissa Senevirathne" <[email-masked]>
Date: Tue, 02 Jul 2002 17:47:46 +0000

Why are we saying ECMP hash is to pick a number between 1 and 6 ? Why not 64 
?

In my opinion ECMP is entirely a local implementation issue. And at WG 
requirement level one sentence to say
" Any load balancing policies implemented MUST not mis order packets"
is adequate

>From: Hummel Heinrich <[email-masked]>
>To: "[email-masked]'" <[email-masked]>,        Shahram Davari 
><[email-masked]>
>CC: "'Eric Osborne'" <[email-masked]>,        George Sheng 
><[email-masked]>, [email-masked],        [email-masked]
>Subject: AW: your mail Date: Tue, 2 Jul 2002 16:25:37 +0200
>
>It  gets weirder  and weirder: The MPLS WG invents a label stack, but does 
>not care at all that any of the
>deeper nested labels may ever be signalled/carried by means of a 
>Label-TLV/object (no public comments to my
>Hierarchical LSPs, draft-hummel-mpls-hierarchical-lsp-01.txt).
>
>However it is ok, to "steal" the deepest nested label and call it 
>"VC-label" for indexing
>some VRF at some remote PE. Furthermore it is ok, to "steal" the very same 
>label for hashing.
>
>Independent from what is clean and what is quick&dirty, I cannot detect any 
>sense in giving a hash-meaning to the bottom label at all.
>
>
>
>Heinrich Hummel
>Siemens
>
>-----Ursprüngliche Nachricht-----
>Von: Eric Rosen [mailto:[email-masked]]
>Gesendet: Dienstag, 2. Juli 2002 16:06
>An: Shahram Davari
>Cc: 'Eric Osborne'; George Sheng; [email-masked]; [email-masked]
>Betreff: Re: your mail
>
>
>Shahram> To do ECMP, you need to  assign hashed values to egress ports. 
>This
>Shahram> assignment is the hash state that I said you need.
>
>A hash is  a function that maps  some sequence of octets into  a sequence 
>of
>integers.  If you want to split  traffic over six paths, while ensuring 
>that
>all packets  with the  same bottom label  travel the  same path, you  need 
>a
>function that maps  a 20 bit quantity  into a number from 1-6.   There is 
>no
>need to maintain state of any kind.

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

---

From: Eric Osborne <[email-masked]>
Date: Tue, 2 Jul 2002 14:08:32 -0400

On Tue, Jul 02, 2002 at 05:47:46PM +0000, Tissa Senevirathne wrote:
> Why are we saying ECMP hash is to pick a number between 1 and 6 ? Why not 
> 64 ?
> 

"...between 1 and N, where N in this example is 6".  Happy?
IETF should not be defining limits for things like these, and I don't
believe that's what we're talking about.  There happen to be both
implementation limits that may constrain N and also real-world limits
where the odds of having 64 equal-cost paths to a destination is
pretty low.  But it's purely a local matter.

eric

> >Independent from what is clean and what is quick&dirty, I cannot detect 
> >any sense in giving a hash-meaning to the bottom label at all.
> >
> >
> >
> >Heinrich Hummel
> >Siemens
> >